[Task] Remove hard-coded demo data from Lexeme code base
Closed, ResolvedPublic2 Story Points

Description

In T186726: Security review WikibaseLexeme extension the Security-Reviews team stumbled across hard-coded demo data in the Lexeme code base. Before T168260: Deploy WikibaseLexeme extension on Wikimedia cluster these must all be removed, and possibly replaced with proper implementations:

  • Everything in the directory src/DemoData and also LexemeContent.php:
    • AskOut1Populator, AskOut2Populator, AskOut3Populator, HardLexemePopulator, LeiterLexemePopulator, and usages:
      • Currently exclusively used in LexemeContent.
    • Id.php is a set of constants.
      • Used in above populators.
      • Also directly used in LexemeContent.
  • FormIdFormatter.php and SenseIdFormatter.php are basically nothing but dummies with hard-coded demo-data.
    • The formatter should just display the ID (as a string).
    • resources/experts/Form.js and resources/experts/Sense.js contain the same demo data.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 9:32 AM
thiemowmde moved this task from incoming to ready to go on the Wikidata board.Mar 5 2018, 1:49 PM
Lydia_Pintscher triaged this task as Low priority.Mar 8 2018, 9:38 AM
Jakob_WMDE updated the task description. (Show Details)Mar 20 2018, 4:30 PM
Jakob_WMDE set the point value for this task to 2.
WMDE-leszek updated the task description. (Show Details)Apr 11 2018, 2:04 PM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Turtles-Sprint#3 board.

Change 427899 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Remove hard-coded demo data from Lexeme codebase

https://gerrit.wikimedia.org/r/427899

Change 427909 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Remove reference to demo data IDs in lexeme_page.rb

https://gerrit.wikimedia.org/r/427909

Change 427899 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Remove hard-coded demo data from Lexeme codebase

https://gerrit.wikimedia.org/r/427899

Change 427909 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Remove reference to demo data IDs in lexeme_page.rb

https://gerrit.wikimedia.org/r/427909

Lydia_Pintscher closed this task as Resolved.Apr 23 2018, 8:38 AM